Subject: Re: [-next] Latest next does not boot on s390x

From: Heiko Carstens <[email-masked]>
Date: Thu, 23 Sep 2010 16:00:22 +0200

On Thu, Sep 23, 2010 at 07:18:27PM +0530, Sachin Sant wrote:
> I cannot boot recent linux-next builds on a s390x box.
> 
> I first ran into this problem with Sept 17th linux-next build(2.6.36-rc4_next_20100917)
> 
> The following messages are displayed on the console :
> 
> 03: Please choose (default will boot in 20 seconds):
> 03: Booting default (autotest)...
> 03: HCPGIR450W CP entered; disabled wait PSW 00020001 80000000 00000000 0010DB3E
> 
> Any idea what could be the problem or how can i debug this issue ?

It crashes when the kernel tries to initialize the memmap. I'll have a
look at it. Probably tomorrow.

Thanks for reporting!